summaryrefslogtreecommitdiff
path: root/data/bash/_metadata/prerm.appletvos-arm64
diff options
context:
space:
mode:
Diffstat (limited to 'data/bash/_metadata/prerm.appletvos-arm64')
-rwxr-xr-xdata/bash/_metadata/prerm.appletvos-arm6426
1 files changed, 26 insertions, 0 deletions
diff --git a/data/bash/_metadata/prerm.appletvos-arm64 b/data/bash/_metadata/prerm.appletvos-arm64
new file mode 100755
index 000000000..b599c5202
--- /dev/null
+++ b/data/bash/_metadata/prerm.appletvos-arm64
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -e
+
+case "$1" in
+ upgrade)
+ ;;
+
+ remove|deconfigure)
+ update-alternatives --quiet --remove sh /bin/bash
+ dpkg-divert --local --quiet --rename --remove /bin/sh
+ rm -f /usr/bin/bash
+ if [ ! -e /bin/sh ]; then
+ echo There would be no shell!
+ ln -fs bash /bin/sh
+ exit 1
+ fi
+ ;;
+
+ failed-upgrade)
+ ;;
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac